using System;

using System.Xml;
using System.Xml.Serialization;

namespace GBG.OGSA.OGSACommon.BES.JSDL
{
	[XmlType(Namespace=JSDLConstants.JSDL_NS)]
	[XmlRoot("DataStaging", Namespace=JSDLConstants.JSDL_NS, IsNullable=false)]
	public class DataStagingType
	{

		public string FileName;
    
		[XmlElement(DataType="NCName")]
		public string FilesystemName;
    
		public CreationFlagEnumeration CreationFlag;
    
		public bool DeleteOnTermination;
    
		[XmlIgnore]
		public bool DeleteOnTerminationSpecified;
    
		public SourceTargetType Source;
		public SourceTargetType Target;
    
		[XmlAnyElement]
		public XmlElement[] Any;
    
		[XmlAttribute(DataType="NCName")]
		public string name;
    
		[XmlAnyAttribute]
		public XmlAttribute[] AnyAttr;
	}
}